## org.apache.batik.bridge.svg12
Class DefaultXBLManager.ImportRemovedListener

    java.lang.Object
      org.apache.batik.bridge.svg12.DefaultXBLManager.ImportRemovedListener

All Implemented Interfaces:
  EventListener

Enclosing class:
  DefaultXBLManager

    protected class DefaultXBLManager.ImportRemovedListener

extends java.lang.Object
implements EventListener

DOM node removed listener for imported XBL trees.

Field Summary
`protected java.util.LinkedList` `toBeRemoved` List of definition elements to be removed from the document.

Constructor Summary
`protected` `DefaultXBLManager.ImportRemovedListener()`

Method Summary
`void` `handleEvent(Event evt)` Handles the event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### toBeRemoved

    protected java.util.LinkedList toBeRemoved

  List of definition elements to be removed from the document.

Constructor Detail

### DefaultXBLManager.ImportRemovedListener

    protected DefaultXBLManager.ImportRemovedListener()

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Handles the event.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.